- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BinaryOp Struct Template Reference

BinaryOp is a generic class which symbolised binary operator. More...

List of all members.

## Detailed Description

### template<class T, class U>
struct vcsn::algebra::BinaryOp< T, U >

BinaryOp is a generic class which symbolised binary operator.

BinaryOp is integrated in the pattern matching system to permit a factorization of the accessors.

Definition at line 36 of file krat_exp_pattern.hh.